# https://sourceforge.net/apps/trac/openocd/ticket/51
#
# Conditional build:
%bcond_without	system_jimtcl

Summary:	Free and Open On-Chip Debugging, In-System Programming and Boundary-Scan Testing
Name:		openocd
Version:	0.9.0
Release:	1
License:	GPL
Group:		Applications
Source0:	http://downloads.sourceforge.net/openocd/%{name}-%{version}.tar.bz2
# Source0-md5:	665cc98ae9e7297e09ec6ac7235fee49
URL:		http://openocd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with system_jimtcl}
BuildRequires:	jimtcl-devel
%endif
BuildRequires:	libftdi-devel
BuildRequires:	libtool
BuildRequires:	libusb-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	^/.*\.elf$

%description
The Open On-Chip Debugger (openocd) aims to provide debugging,
in-system programming and boundary-scan testing for embedded target
devices. The targets are interfaced using JTAG (IEEE 1149.1) compliant
hardware, but this may be extended to other connection types in the
future. Openocd currently supports Wiggler (clones), FTDI FT2232 based
JTAG interfaces, the Amontec JTAG Accelerator, and the Gateworks
GW1602. It allows ARM7 (ARM7TDMI and ARM720t), ARM9 (ARM920t, ARM922t,
ARM926ej-s, ARM966e-s), XScale (PXA25x, IXP42x) and Cortex-M3
(Luminary Stellaris LM3 and ST STM32) based cores to be debugged.
Flash writing is supported for external CFI compatible flashes (Intel
and AMD/Spansion command set) and several internal flashes (LPC2000,
AT91SAM7, STR7x, STR9x, LM3 and STM32x). Preliminary support for using
the LPC3180's NAND flash controller is included.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-werror \
	%{?with_system_jimtcl:--disable-internal-jimtcl} \
	--enable-ftdi \
	--enable-amtjtagaccel \
	--enable-arm-jtag-ew \
	--enable-at91rm9200 \
	--enable-buspirate \
	--enable-dummy \
	--enable-ep93xx \
	--enable-gw16012 \
	--enable-ioutil \
	--enable-jlink \
	--enable-oocd_trace \
	--enable-parport \
	--enable-rlink \
	--enable-usbprog \
	--enable-stlink \
	--enable-vsllink

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}.1*
%changelog
* Sat Jul 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openocd.git;a=log;h=master

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 889e7f6
- up to 0.9.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> fc44786
- missing fix-info-dir

* Sat Jul 20 2013 Bartlomiej Zimon <uzi18@o2.pl> 5e9c0a0
- rel 2; enable stlink

* Wed Oct 24 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c6cb3f6
- up to 0.6.1; enable libusb only ftdi driver, too; use system jimtcl

* Sun Mar 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fed5ed0
- rel 1; use internal jimtcl for now and make configure script for jimtcl ignore unknown options instead of failing

* Sun Mar 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cbf656
- updated to 0.5.0 but there are non resolved jimtcl building problems (internal and external), so rel 0.1

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> c3be24a
- do not assume compressed info files

* Fri Mar 19 2010 kosmo <kosmo@pld-linux.org> a0f1e6b
- updated to version 0.4.0
- outdated patches removed (they are in mainline)

* Thu Aug 20 2009 kosmo <kosmo@pld-linux.org> 4caf488
- added openocd-svf-handle-blank.patch which makes OpenOCD compatible with
  SVF files generated by Altera Quartus II v9.0.

* Wed Aug 12 2009 kosmo <kosmo@pld-linux.org> 0b9fb07
- added openocd-davinci-nand-cs.patch fixing DaVinci NAND driver.

* Mon Aug 03 2009 kosmo <kosmo@pld-linux.org> 2c0f832
- updated to 0.2.0
- cleaned up and added missing BRs.

* Sun Jun 01 2008 adasi <adasi@pld-linux.org> c439b45
- initial

